---
kind: pipeline
name: default

platform:
  os: linux
  arch: amd64

steps:
- name: publish
  pull: default
  image: plugins/docker:18.09
  settings:
    registry: https://registry.nixaid.com
    repo: "registry.nixaid.com/${DRONE_REPO_NAMESPACE}/${DRONE_REPO_NAME}"
    tags:
    - latest
    username:
      from_secret: docker_username
    password:
      from_secret: docker_password
    # storage_path: /drone/docker
    # storage_driver: aufs
    # ipv6: false
    # debug: true
  when:
    branch:
    - master
    event:
    - push
    - tag

- name: notify
  pull: default
  image: drillster/drone-email:latest
  settings:
    from: "Drone CI <noreply@nixaid.com>"
    host: mx.nixaid.com
    port: 587
    subject: "NIXAID Drone Pipeline {{#success build.status}}SUCCESS{{else}}FAILURE{{/success}} Notification"
  when:
    event:
    - push
    - tag
    status:
    - success
    - failure
